cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"platforms": [
{
"id": "sellauth",
"name": "SellAuth",
"docsUrl": "https://docs.sellauth.com/",
"resources": [
"products",
"orders"
],
"requiresShopId": true,
"shopIdLabel": "Shop ID",
"apiKeyPlaceholder": "••••••••"
},
{
"id": "sellhub",
"name": "SellHub",
"docsUrl": "https://docs.sellhub.cx/api",
"resources": [
"products",
"orders"
],
"requiresShopId": false,
"shopIdLabel": "Shop ID",
"apiKeyPlaceholder": "••••••••"
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List import sources
Platforms you can import from.
Scope: import:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
import
/
platforms
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/import/platforms",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"platforms": [
{
"id": "sellauth",
"name": "SellAuth",
"docsUrl": "https://docs.sellauth.com/",
"resources": [
"products",
"orders"
],
"requiresShopId": true,
"shopIdLabel": "Shop ID",
"apiKeyPlaceholder": "••••••••"
},
{
"id": "sellhub",
"name": "SellHub",
"docsUrl": "https://docs.sellhub.cx/api",
"resources": [
"products",
"orders"
],
"requiresShopId": false,
"shopIdLabel": "Shop ID",
"apiKeyPlaceholder": "••••••••"
}
]
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}
